org.apache.ignite.internal.processors.cache.persistence.metastorage

## Class MetastorageSearchRow

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.metastorage.MetastorageSearchRow

All Implemented Interfaces:
  MetastorageRow

    public class MetastorageSearchRow
    extends Object
    implements MetastorageRow

### Constructor Summary

Constructors
Constructor and Description
`MetastorageSearchRow(String key)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `key()`
`long` `keyLink()`
`long` `link()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetastorageSearchRow

    public MetastorageSearchRow(String key)

Parameters:
  `key` - Key.

### Method Detail

#### link

    public long link()

Specified by:
  `link` in interface `MetastorageRow`
Returns:
  Link for this row.

#### key

    public String key()

Specified by:
  `key` in interface `MetastorageRow`
Returns:
  Key string.

#### keyLink

    public long keyLink()

Specified by:
  `keyLink` in interface `MetastorageRow`
Returns:
  Key link.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023